<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:45:32 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
AsyncNHttpClientHandler (HttpCore NIO 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="AsyncNHttpClientHandler (HttpCore NIO 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AsyncNHttpClientHandler.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/nio/protocol/AbstractAsyncResponseConsumer.html" title="class in org.apache.http.nio.protocol"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/nio/protocol/AsyncNHttpClientHandler.ClientConnState.html" title="class in org.apache.http.nio.protocol"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/nio/protocol/AsyncNHttpClientHandler.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AsyncNHttpClientHandler.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.http.nio.protocol</FONT>
<BR>
Class AsyncNHttpClientHandler</H2>
<PRE>
<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../org/apache/http/nio/protocol/NHttpHandlerBase.html" title="class in org.apache.http.nio.protocol">org.apache.http.nio.protocol.NHttpHandlerBase</A>
      <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.http.nio.protocol.AsyncNHttpClientHandler</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html" title="interface in org.apache.http.nio">NHttpClientHandler</A></DD>
</DL>
<HR>
<B>Deprecated.</B>&nbsp;<I>(4.2) use <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequestExecutor.html" title="class in org.apache.http.nio.protocol"><CODE>HttpAsyncRequestExecutor</CODE></A> and <A HREF="../../../../../org/apache/http/nio/protocol/HttpAsyncRequester.html" title="class in org.apache.http.nio.protocol"><CODE>HttpAsyncRequester</CODE></A></I>
<P>
<DL>
<DT><PRE><FONT SIZE="-1"><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</A>
<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/annotation/Immutable.html?is-external=true" title="class or interface in org.apache.http.annotation">@Immutable</A>
</FONT>public class <B>AsyncNHttpClientHandler</B><DT>extends <A HREF="../../../../../org/apache/http/nio/protocol/NHttpHandlerBase.html" title="class in org.apache.http.nio.protocol">NHttpHandlerBase</A><DT>implements <A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html" title="interface in org.apache.http.nio">NHttpClientHandler</A></DL>
</PRE>

<P>
Fully asynchronous HTTP client side protocol handler that implements the
 essential requirements of the HTTP protocol for the server side message
 processing as described by RFC 2616. It is capable of executing HTTP requests
 with nearly constant memory footprint. Only HTTP message heads are stored in
 memory, while content of message bodies is streamed directly from the entity
 to the underlying channel (and vice versa) using <A HREF="../../../../../org/apache/http/nio/entity/ConsumingNHttpEntity.html" title="interface in org.apache.http.nio.entity"><CODE>ConsumingNHttpEntity</CODE></A>
 and <A HREF="../../../../../org/apache/http/nio/entity/ProducingNHttpEntity.html" title="interface in org.apache.http.nio.entity"><CODE>ProducingNHttpEntity</CODE></A> interfaces.

 When using this implementation, it is important to ensure that entities
 supplied for writing implement <A HREF="../../../../../org/apache/http/nio/entity/ProducingNHttpEntity.html" title="interface in org.apache.http.nio.entity"><CODE>ProducingNHttpEntity</CODE></A>. Doing so will allow
 the entity to be written out asynchronously. If entities supplied for writing
 do not implement the <A HREF="../../../../../org/apache/http/nio/entity/ProducingNHttpEntity.html" title="interface in org.apache.http.nio.entity"><CODE>ProducingNHttpEntity</CODE></A> interface, a delegate is
 added that buffers the entire contents in memory. Additionally, the
 buffering might take place in the I/O dispatch thread, which could cause I/O
 to block temporarily. For best results, one must ensure that all entities
 set on <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpRequest.html?is-external=true" title="class or interface in org.apache.http"><CODE>HttpRequest</CODE></A>s from <A HREF="../../../../../org/apache/http/nio/protocol/NHttpRequestExecutionHandler.html" title="interface in org.apache.http.nio.protocol"><CODE>NHttpRequestExecutionHandler</CODE></A>
 implement <A HREF="../../../../../org/apache/http/nio/entity/ProducingNHttpEntity.html" title="interface in org.apache.http.nio.entity"><CODE>ProducingNHttpEntity</CODE></A>.

 If incoming responses enclose a content entity,
 <A HREF="../../../../../org/apache/http/nio/protocol/NHttpRequestExecutionHandler.html" title="interface in org.apache.http.nio.protocol"><CODE>NHttpRequestExecutionHandler</CODE></A> are expected to return a
 <A HREF="../../../../../org/apache/http/nio/entity/ConsumingNHttpEntity.html" title="interface in org.apache.http.nio.entity"><CODE>ConsumingNHttpEntity</CODE></A> for reading the content. After the entity is
 finished reading the data,
 <A HREF="../../../../../org/apache/http/nio/protocol/NHttpRequestExecutionHandler.html#handleResponse(org.apache.http.HttpResponse, org.apache.http.protocol.HttpContext)"><CODE>NHttpRequestExecutionHandler.handleResponse(HttpResponse, HttpContext)</CODE></A>
 method is called to process the response.
 <p>
 The following parameters can be used to customize the behavior of this
 class:
 <ul>
  <li><A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/CoreProtocolPNames.html?is-external=true#WAIT_FOR_CONTINUE" title="class or interface in org.apache.http.params"><CODE>CoreProtocolPNames.WAIT_FOR_CONTINUE</CODE></A></li>
 </ul>
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>4.0</DD>
</DL>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected static&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/AsyncNHttpClientHandler.ClientConnState.html" title="class in org.apache.http.nio.protocol">AsyncNHttpClientHandler.ClientConnState</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected &nbsp;<A HREF="../../../../../org/apache/http/nio/protocol/NHttpRequestExecutionHandler.html" title="interface in org.apache.http.nio.protocol">NHttpRequestExecutionHandler</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/AsyncNHttpClientHandler.html#execHandler">execHandler</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.apache.http.nio.protocol.NHttpHandlerBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/NHttpHandlerBase.html" title="class in org.apache.http.nio.protocol">NHttpHandlerBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/nio/protocol/NHttpHandlerBase.html#allocator">allocator</A>, <A HREF="../../../../../org/apache/http/nio/protocol/NHttpHandlerBase.html#CONN_STATE">CONN_STATE</A>, <A HREF="../../../../../org/apache/http/nio/protocol/NHttpHandlerBase.html#connStrategy">connStrategy</A>, <A HREF="../../../../../org/apache/http/nio/protocol/NHttpHandlerBase.html#eventListener">eventListener</A>, <A HREF="../../../../../org/apache/http/nio/protocol/NHttpHandlerBase.html#httpProcessor">httpProcessor</A>, <A HREF="../../../../../org/apache/http/nio/protocol/NHttpHandlerBase.html#params">params</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/AsyncNHttpClientHandler.html#AsyncNHttpClientHandler(org.apache.http.protocol.HttpProcessor, org.apache.http.nio.protocol.NHttpRequestExecutionHandler, org.apache.http.ConnectionReuseStrategy, org.apache.http.nio.util.ByteBufferAllocator, org.apache.http.params.HttpParams)">AsyncNHttpClientHandler</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;httpProcessor,
                        <A HREF="../../../../../org/apache/http/nio/protocol/NHttpRequestExecutionHandler.html" title="interface in org.apache.http.nio.protocol">NHttpRequestExecutionHandler</A>&nbsp;execHandler,
                        <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ConnectionReuseStrategy.html?is-external=true" title="class or interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;connStrategy,
                        <A HREF="../../../../../org/apache/http/nio/util/ByteBufferAllocator.html" title="interface in org.apache.http.nio.util">ByteBufferAllocator</A>&nbsp;allocator,
                        <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/AsyncNHttpClientHandler.html#AsyncNHttpClientHandler(org.apache.http.protocol.HttpProcessor, org.apache.http.nio.protocol.NHttpRequestExecutionHandler, org.apache.http.ConnectionReuseStrategy, org.apache.http.params.HttpParams)">AsyncNHttpClientHandler</A></B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;httpProcessor,
                        <A HREF="../../../../../org/apache/http/nio/protocol/NHttpRequestExecutionHandler.html" title="interface in org.apache.http.nio.protocol">NHttpRequestExecutionHandler</A>&nbsp;execHandler,
                        <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ConnectionReuseStrategy.html?is-external=true" title="class or interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;connStrategy,
                        <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/AsyncNHttpClientHandler.html#closed(org.apache.http.nio.NHttpClientConnection)">closed</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Triggered when the connection is closed.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/AsyncNHttpClientHandler.html#connected(org.apache.http.nio.NHttpClientConnection, java.lang.Object)">connected</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&nbsp;conn,
          <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;attachment)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Triggered when a new outgoing connection is created.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/AsyncNHttpClientHandler.html#exception(org.apache.http.nio.NHttpClientConnection, org.apache.http.HttpException)">exception</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&nbsp;conn,
          <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpException.html?is-external=true" title="class or interface in org.apache.http">HttpException</A>&nbsp;ex)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Triggered when an HTTP protocol violation occurs while receiving
 an HTTP response.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/AsyncNHttpClientHandler.html#exception(org.apache.http.nio.NHttpClientConnection, java.io.IOException)">exception</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&nbsp;conn,
          <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A>&nbsp;ex)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Triggered when an I/O error occurs while reading from or writing
 to the underlying channel.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/AsyncNHttpClientHandler.html#inputReady(org.apache.http.nio.NHttpClientConnection, org.apache.http.nio.ContentDecoder)">inputReady</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&nbsp;conn,
           <A HREF="../../../../../org/apache/http/nio/ContentDecoder.html" title="interface in org.apache.http.nio">ContentDecoder</A>&nbsp;decoder)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Triggered when the underlying channel is ready for reading a
 new portion of the response entity through the corresponding
 content decoder.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/AsyncNHttpClientHandler.html#outputReady(org.apache.http.nio.NHttpClientConnection, org.apache.http.nio.ContentEncoder)">outputReady</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&nbsp;conn,
            <A HREF="../../../../../org/apache/http/nio/ContentEncoder.html" title="interface in org.apache.http.nio">ContentEncoder</A>&nbsp;encoder)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Triggered when the underlying channel is ready for writing a next portion
 of the request entity through the corresponding content encoder.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/AsyncNHttpClientHandler.html#requestReady(org.apache.http.nio.NHttpClientConnection)">requestReady</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Triggered when the connection is ready to accept a new HTTP request.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/AsyncNHttpClientHandler.html#responseReceived(org.apache.http.nio.NHttpClientConnection)">responseReceived</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Triggered when an HTTP response is received.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/http/nio/protocol/AsyncNHttpClientHandler.html#timeout(org.apache.http.nio.NHttpClientConnection)">timeout</A></B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&nbsp;conn)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;Triggered when no input is detected on this connection over the
 maximum period of inactivity.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.http.nio.protocol.NHttpHandlerBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.http.nio.protocol.<A HREF="../../../../../org/apache/http/nio/protocol/NHttpHandlerBase.html" title="class in org.apache.http.nio.protocol">NHttpHandlerBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/http/nio/protocol/NHttpHandlerBase.html#canResponseHaveBody(org.apache.http.HttpRequest, org.apache.http.HttpResponse)">canResponseHaveBody</A>, <A HREF="../../../../../org/apache/http/nio/protocol/NHttpHandlerBase.html#closeConnection(org.apache.http.nio.NHttpConnection, java.lang.Throwable)">closeConnection</A>, <A HREF="../../../../../org/apache/http/nio/protocol/NHttpHandlerBase.html#getParams()">getParams</A>, <A HREF="../../../../../org/apache/http/nio/protocol/NHttpHandlerBase.html#handleTimeout(org.apache.http.nio.NHttpConnection)">handleTimeout</A>, <A HREF="../../../../../org/apache/http/nio/protocol/NHttpHandlerBase.html#setEventListener(org.apache.http.nio.protocol.EventListener)">setEventListener</A>, <A HREF="../../../../../org/apache/http/nio/protocol/NHttpHandlerBase.html#shutdownConnection(org.apache.http.nio.NHttpConnection, java.lang.Throwable)">shutdownConnection</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="execHandler"><!-- --></A><H3>
execHandler</H3>
<PRE>
protected <A HREF="../../../../../org/apache/http/nio/protocol/NHttpRequestExecutionHandler.html" title="interface in org.apache.http.nio.protocol">NHttpRequestExecutionHandler</A> <B>execHandler</B></PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DL>
</DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="AsyncNHttpClientHandler(org.apache.http.protocol.HttpProcessor, org.apache.http.nio.protocol.NHttpRequestExecutionHandler, org.apache.http.ConnectionReuseStrategy, org.apache.http.nio.util.ByteBufferAllocator, org.apache.http.params.HttpParams)"><!-- --></A><H3>
AsyncNHttpClientHandler</H3>
<PRE>
public <B>AsyncNHttpClientHandler</B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;httpProcessor,
                               <A HREF="../../../../../org/apache/http/nio/protocol/NHttpRequestExecutionHandler.html" title="interface in org.apache.http.nio.protocol">NHttpRequestExecutionHandler</A>&nbsp;execHandler,
                               <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ConnectionReuseStrategy.html?is-external=true" title="class or interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;connStrategy,
                               <A HREF="../../../../../org/apache/http/nio/util/ByteBufferAllocator.html" title="interface in org.apache.http.nio.util">ByteBufferAllocator</A>&nbsp;allocator,
                               <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;</DL>
<HR>

<A NAME="AsyncNHttpClientHandler(org.apache.http.protocol.HttpProcessor, org.apache.http.nio.protocol.NHttpRequestExecutionHandler, org.apache.http.ConnectionReuseStrategy, org.apache.http.params.HttpParams)"><!-- --></A><H3>
AsyncNHttpClientHandler</H3>
<PRE>
public <B>AsyncNHttpClientHandler</B>(<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpProcessor.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpProcessor</A>&nbsp;httpProcessor,
                               <A HREF="../../../../../org/apache/http/nio/protocol/NHttpRequestExecutionHandler.html" title="interface in org.apache.http.nio.protocol">NHttpRequestExecutionHandler</A>&nbsp;execHandler,
                               <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/ConnectionReuseStrategy.html?is-external=true" title="class or interface in org.apache.http">ConnectionReuseStrategy</A>&nbsp;connStrategy,
                               <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/params/HttpParams.html?is-external=true" title="class or interface in org.apache.http.params">HttpParams</A>&nbsp;params)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="connected(org.apache.http.nio.NHttpClientConnection, java.lang.Object)"><!-- --></A><H3>
connected</H3>
<PRE>
public void <B>connected</B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&nbsp;conn,
                      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</A>&nbsp;attachment)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html#connected(org.apache.http.nio.NHttpClientConnection, java.lang.Object)">NHttpClientHandler</A></CODE></B></DD>
<DD>Triggered when a new outgoing connection is created.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html#connected(org.apache.http.nio.NHttpClientConnection, java.lang.Object)">connected</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html" title="interface in org.apache.http.nio">NHttpClientHandler</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>conn</CODE> - new outgoing HTTP connection.<DD><CODE>attachment</CODE> - an object that was attached to the session request</DL>
</DD>
</DL>
<HR>

<A NAME="closed(org.apache.http.nio.NHttpClientConnection)"><!-- --></A><H3>
closed</H3>
<PRE>
public void <B>closed</B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&nbsp;conn)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html#closed(org.apache.http.nio.NHttpClientConnection)">NHttpClientHandler</A></CODE></B></DD>
<DD>Triggered when the connection is closed.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html#closed(org.apache.http.nio.NHttpClientConnection)">closed</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html" title="interface in org.apache.http.nio">NHttpClientHandler</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>conn</CODE> - closed HTTP connection.</DL>
</DD>
</DL>
<HR>

<A NAME="exception(org.apache.http.nio.NHttpClientConnection, org.apache.http.HttpException)"><!-- --></A><H3>
exception</H3>
<PRE>
public void <B>exception</B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&nbsp;conn,
                      <A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/HttpException.html?is-external=true" title="class or interface in org.apache.http">HttpException</A>&nbsp;ex)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html#exception(org.apache.http.nio.NHttpClientConnection, org.apache.http.HttpException)">NHttpClientHandler</A></CODE></B></DD>
<DD>Triggered when an HTTP protocol violation occurs while receiving
 an HTTP response.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html#exception(org.apache.http.nio.NHttpClientConnection, org.apache.http.HttpException)">exception</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html" title="interface in org.apache.http.nio">NHttpClientHandler</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>conn</CODE> - HTTP connection that caused an HTTP protocol violation<DD><CODE>ex</CODE> - HTTP protocol violation exception</DL>
</DD>
</DL>
<HR>

<A NAME="exception(org.apache.http.nio.NHttpClientConnection, java.io.IOException)"><!-- --></A><H3>
exception</H3>
<PRE>
public void <B>exception</B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&nbsp;conn,
                      <A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/io/IOException.html?is-external=true" title="class or interface in java.io">IOException</A>&nbsp;ex)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html#exception(org.apache.http.nio.NHttpClientConnection, java.io.IOException)">NHttpClientHandler</A></CODE></B></DD>
<DD>Triggered when an I/O error occurs while reading from or writing
 to the underlying channel.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html#exception(org.apache.http.nio.NHttpClientConnection, java.io.IOException)">exception</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html" title="interface in org.apache.http.nio">NHttpClientHandler</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>conn</CODE> - HTTP connection that caused an I/O error<DD><CODE>ex</CODE> - I/O exception</DL>
</DD>
</DL>
<HR>

<A NAME="requestReady(org.apache.http.nio.NHttpClientConnection)"><!-- --></A><H3>
requestReady</H3>
<PRE>
public void <B>requestReady</B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&nbsp;conn)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html#requestReady(org.apache.http.nio.NHttpClientConnection)">NHttpClientHandler</A></CODE></B></DD>
<DD>Triggered when the connection is ready to accept a new HTTP request.
 The protocol handler does not have to submit a request if it is not
 ready.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html#requestReady(org.apache.http.nio.NHttpClientConnection)">requestReady</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html" title="interface in org.apache.http.nio">NHttpClientHandler</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>conn</CODE> - HTTP connection that is ready to accept a new HTTP request.<DT><B>See Also:</B><DD><A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio"><CODE>NHttpClientConnection</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="inputReady(org.apache.http.nio.NHttpClientConnection, org.apache.http.nio.ContentDecoder)"><!-- --></A><H3>
inputReady</H3>
<PRE>
public void <B>inputReady</B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&nbsp;conn,
                       <A HREF="../../../../../org/apache/http/nio/ContentDecoder.html" title="interface in org.apache.http.nio">ContentDecoder</A>&nbsp;decoder)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html#inputReady(org.apache.http.nio.NHttpClientConnection, org.apache.http.nio.ContentDecoder)">NHttpClientHandler</A></CODE></B></DD>
<DD>Triggered when the underlying channel is ready for reading a
 new portion of the response entity through the corresponding
 content decoder.
 <p/>
 If the content consumer is unable to process the incoming content,
 input event notifications can be temporarily suspended using
 <A HREF="../../../../../org/apache/http/nio/IOControl.html" title="interface in org.apache.http.nio"><CODE>IOControl</CODE></A> interface.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html#inputReady(org.apache.http.nio.NHttpClientConnection, org.apache.http.nio.ContentDecoder)">inputReady</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html" title="interface in org.apache.http.nio">NHttpClientHandler</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>conn</CODE> - HTTP connection that can produce a new portion of the
 incoming response content.<DD><CODE>decoder</CODE> - The content decoder to use to read content.<DT><B>See Also:</B><DD><A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio"><CODE>NHttpClientConnection</CODE></A>, 
<A HREF="../../../../../org/apache/http/nio/ContentDecoder.html" title="interface in org.apache.http.nio"><CODE>ContentDecoder</CODE></A>, 
<A HREF="../../../../../org/apache/http/nio/IOControl.html" title="interface in org.apache.http.nio"><CODE>IOControl</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="outputReady(org.apache.http.nio.NHttpClientConnection, org.apache.http.nio.ContentEncoder)"><!-- --></A><H3>
outputReady</H3>
<PRE>
public void <B>outputReady</B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&nbsp;conn,
                        <A HREF="../../../../../org/apache/http/nio/ContentEncoder.html" title="interface in org.apache.http.nio">ContentEncoder</A>&nbsp;encoder)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html#outputReady(org.apache.http.nio.NHttpClientConnection, org.apache.http.nio.ContentEncoder)">NHttpClientHandler</A></CODE></B></DD>
<DD>Triggered when the underlying channel is ready for writing a next portion
 of the request entity through the corresponding content encoder.
 <p>
 If the content producer is unable to generate the outgoing content,
 output event notifications can be temporarily suspended using
 <A HREF="../../../../../org/apache/http/nio/IOControl.html" title="interface in org.apache.http.nio"><CODE>IOControl</CODE></A> interface.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html#outputReady(org.apache.http.nio.NHttpClientConnection, org.apache.http.nio.ContentEncoder)">outputReady</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html" title="interface in org.apache.http.nio">NHttpClientHandler</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>conn</CODE> - HTTP connection that can accommodate a new portion
 of the outgoing request content.<DD><CODE>encoder</CODE> - The content encoder to use to write content.<DT><B>See Also:</B><DD><A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio"><CODE>NHttpClientConnection</CODE></A>, 
<A HREF="../../../../../org/apache/http/nio/ContentEncoder.html" title="interface in org.apache.http.nio"><CODE>ContentEncoder</CODE></A>, 
<A HREF="../../../../../org/apache/http/nio/IOControl.html" title="interface in org.apache.http.nio"><CODE>IOControl</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="responseReceived(org.apache.http.nio.NHttpClientConnection)"><!-- --></A><H3>
responseReceived</H3>
<PRE>
public void <B>responseReceived</B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&nbsp;conn)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html#responseReceived(org.apache.http.nio.NHttpClientConnection)">NHttpClientHandler</A></CODE></B></DD>
<DD>Triggered when an HTTP response is received. The connection
 passed as a parameter to this method is guaranteed to return
 a valid HTTP response object.
 <p/>
 If the response received encloses a response entity this method will
 be followed by a series of
 <A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html#inputReady(org.apache.http.nio.NHttpClientConnection, org.apache.http.nio.ContentDecoder)"><CODE>NHttpClientHandler.inputReady(NHttpClientConnection, ContentDecoder)</CODE></A> calls
 to transfer the response content.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html#responseReceived(org.apache.http.nio.NHttpClientConnection)">responseReceived</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html" title="interface in org.apache.http.nio">NHttpClientHandler</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>conn</CODE> - HTTP connection that contains an HTTP response<DT><B>See Also:</B><DD><A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio"><CODE>NHttpClientConnection</CODE></A></DL>
</DD>
</DL>
<HR>

<A NAME="timeout(org.apache.http.nio.NHttpClientConnection)"><!-- --></A><H3>
timeout</H3>
<PRE>
public void <B>timeout</B>(<A HREF="../../../../../org/apache/http/nio/NHttpClientConnection.html" title="interface in org.apache.http.nio">NHttpClientConnection</A>&nbsp;conn)</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<DD><B>Description copied from interface: <CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html#timeout(org.apache.http.nio.NHttpClientConnection)">NHttpClientHandler</A></CODE></B></DD>
<DD>Triggered when no input is detected on this connection over the
 maximum period of inactivity.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html#timeout(org.apache.http.nio.NHttpClientConnection)">timeout</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/http/nio/NHttpClientHandler.html" title="interface in org.apache.http.nio">NHttpClientHandler</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>conn</CODE> - HTTP connection that caused timeout condition.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/AsyncNHttpClientHandler.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/http/nio/protocol/AbstractAsyncResponseConsumer.html" title="class in org.apache.http.nio.protocol"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/http/nio/protocol/AsyncNHttpClientHandler.ClientConnState.html" title="class in org.apache.http.nio.protocol"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/http/nio/protocol/AsyncNHttpClientHandler.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="AsyncNHttpClientHandler.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_class_summary">NESTED</A>&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2005-2012 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
